[script]
n0=on *:CONNECT: { /play -mfds titlebar.txt 60 }
n1=on *:open:?:*:{ 
n2=  if (!%priv) { set %priv 0 }
n3=  inc %priv
n4=  if (%status == on) {
n5=    ctcp $nick STATUS
n6=  } 
n7=}
n8=on *:close:?: { if (%zpriv == on) { .notice $nick 10їїї 12Закрыл с вами приват,4 $nick 10ЂЂЂ } }
n9=
n10=;//**********************************************************************************************************
n11=;//************************************** NeOn Script Protections ****************************************
n12=;//**********************************************************************************************************
n13=
n14=
n15=on *:deop:#:{
n16=  if (($opnick == $me) && ($nick != $me)) {
n17=    if (%deopprotect = off) { /halt }
n18=    if (%deopprotect = op) { /splay %wave.deop | %chanserv op $chan $me | echo -a 4ХХХ 12—работала система защиты12. }
n19=    if (%deopprotect = kick) { /splay %wave.deop | %chanserv op $chan $me | %chanserv deop $chan $nick | %chanserv kick $chan $nick %kick.msg | echo -a 4ХХХ 12—работала система защиты12. }
n20=    if (%deopprotect = kickban) { /splay %wave.deop | %chanserv op $chan $me | %chanserv deop $chan $nick | /mode $chan -o+b $opnick $address($nick,2) | /kick $chan $nick %kick.msg | echo -a 4ХХХ 12—работала система защиты12. }
n21=  }
n22=  if ($level($address($opnick,3)) == ultraprotect) { %chanserv deop $chan $nick 
n23=  }
n24=}
n25=
n26=on *:kick:#: {
n27=  if (($knick != $me) || ($nick == $me)) { /halt }
n28=  if (%kickprotect = off) { /halt }
n29=  if (%kickprotect = rejoin) { if (($knick == $me) && ($nick != $me) && ($nick != Chanserv)) {
n30=    /splay %wave.kick | %chanserv invite $chan $me | .timer 1 1 /join $chan | echo -a 4ХХХ 12Сработала система защиты12. | /halt }
n31=  }
n32=  if (%kickprotect = kick) { if (($knick == $me) && ($nick != $me) && ($nick != Chanserv)) {
n33=    /splay %wave.kick | %chanserv invite $chan $me | /join $chan | /kick $chan $nick %kick.msg | echo -a 4ХХХ 12Сработала система защиты12. | /halt } 
n34=  }
n35=  if (%kickprotect = kickban) { if (($knick == $me) && ($nick != $me) && ($nick != Chanserv)) {
n36=    /splay %wave.kick | %chanserv invite $chan $me | /join $chan | /mode $chan -o+b $nick $address($nick,2) | /kick $chan $nick %kick.msg | echo -a 4ХХХ 12Сработала система защиты12. | /halt } 
n37=  }
n38=  if ($level($address($opnick,3)) == ultraprotect) { mode $chan -o+ob $nick $opnick $address($nick,3) | /kick $chan $nick ќн(а) под моей защитой! Ќефиг было  » ј“№
n39=  }
n40=}
n41=
n42=on *:ban:#:{
n43=  if (%banvoz == 1) { if ($nick == $me) && ($banmask !isin %bm) { set %bm %bm $banmask } }
n44=  if (($banmask iswm $address($me,5)) && ($nick != $me)) {
n45=    if (%banprotect = off) { /halt }
n46=    if (%banprotect = unban) { /splay %wave.ban | /mode $chan -b $opnick $banmask | echo -a 4ХХХ 12Сработала система защиты12. | /halt }
n47=    if (%banprotect = kick) { /splay %wave.ban | /mode $chan -b $opnick $banmask | /kick $chan $nick %kick.msg | echo -a 4ХХХ 12Сработала система защиты12. | halt }
n48=    if (%banprotect = kickban) { /splay %wave.ban | /mode $chan -ob+b $nick $opnick $banmask $address($nick,2) | /kick $chan $nick %kick.msg | echo -a 4ХХХ 12Сработала система защиты12. | /halt }
n49=  }
n50=  if ($level($address($opnick,3)) == ultraprotect) { mode $chan -o+ob $nick $opnick $address($nick,3) | /kick $chan $nick ќн(а) под моей защитой! Ќефиг было ЅјЌ»“№!
n51=  }
n52=}
n53=
n54=;#####################################################################
n55=;###################### Возвращение поставленных вами банов #######################
n56=;#####################################################################
n57=
n58=on *:UNBAN:#:{  
n59=  if (%banvoz == 1) {
n60=    if ($banmask isin %bm) {
n61=      if ($nick != $me) mode # +b $banmask
n62=      else set %bm $remove(%bm,$banmask)
n63=    }
n64=  }
n65=}
